package org.mercury_im.messenger.cli.di.component;

import org.mercury_im.messenger.cli.MercuryCli;
import org.mercury_im.messenger.cli.di.module.CliPersistenceModule;
import org.mercury_im.messenger.core.di.module.ViewModelModule;
import org.mercury_im.messenger.data.di.RepositoryModule;

import javax.inject.Singleton;

import dagger.Component;

@Singleton
@Component(
        modules = {
                CliPersistenceModule.class,
                RepositoryModule.class,
                ViewModelModule.class
        })
public interface CliComponent {

        void inject(MercuryCli mercuryCli);
}
