package org.mercury_im.messenger.core.util;

/**
 * Names for identifying scheduler instances during dependency injection.
 */
public class ThreadUtils {
    /**
     * Name for the database / io thread.
     */
    public static final String SCHEDULER_IO = "DatabaseThread";

    /**
     * Name for the UI / main thread.
     */
    public static final String SCHEDULER_UI = "UIThread";

    public static final String SCHEDULER_NEW_THREAD = "NewThread";
}
